This application can be used through the GUI or via the command line. (CLI)
Command line usage:
qstlink2 [-hqdcwrev] [path]
-h, --help: shows this help
-q, --quiet: Quiet output (Nothing)
-d, --debug: Debug output
-c,--cli: Enable command line mode
-w,--write: Enable write mode - Needs Path
-r,--read: Enable read mode - Needs Path
-e,--erase: Flash will be completely erased
-v, --verify: When used with write, the file will be verified against flash
Example to write and verify the device:
qstlink2 -cwv file.bin
or
qstlink2 --cli --write --verify file.bin
More info here